Subject: Forking a CVS project

From: Thomas Koch <[email-masked]>
Date: Sun, 13 Apr 2008 10:19:43 +0200

Good day everybody,

I'm a new disciple of GIT and eager to learn.

My current problem is, that I'd like to track an old CVS project and make my 
own fork via GIT. The CVS project in question is horde[1]. My first attempt 
looked like:

mkdir horde
cd horde
export CVSROOT=":pserver:[email-masked]:/repository"
git-cvsimport -v -C. .

But this did not work. I only got millions of lines like

WARNING: file /repository/horde/templates/index/frames_index.inc doesn't match 
strip_path /repository/CVSROOT/cfg.p. ignoring

So I imported each module separately:

MODULES="agora
ansel
chora
..."

for MODULE in $MODULES
do
    git-cvsimport -v -C$MODULE $MODULE
done

This took like 2 or 3 days and now I have one git repository for each module. 
But I'd rather have one big git repository containing all modules.

Could somebody give me a hint on how this could be achieved, please?

I also don't know CVS at all, because I started already with SVN. And I really 
don't want to learn CVS!

How do I keep track of the CVS repository after the import and merge the 
changes into my fork? Is there a way to not import the whole history, but to 
start my GIT repo with the current snapshot? Would that speed up the import?

[1] http://www.horde.org/source/using.php

Best regards,
-- 
Thomas Koch, Software Developer

Young Media Concepts GmbH
Sonnenstr. 4
CH-8280 Kreuzlingen
Switzerland

Tel    +41 (0)71 / 508 24 86
Fax    +41 (0)71 / 560 53 89
Mobile +49 (0)170 / 753 89 16
Web    www.ymc.ch